Page MenuHomePhabricator

tsan: fixes to ThreadClock::releaseStoreAcquire
ClosedPublic

Authored by dfava on Apr 14 2020, 8:13 AM.

Details

Reviewers
dvyukov
Summary

Fixes:

  1. Setting the number of entries in a thread's clock to max between the thread and the SyncClock the thread is acquiring from
  2. Setting last_acquire_

Unit- and stress-test for releaseStoreAcquire added to tests/unit/tsan_clock_test.cpp

Diff Detail

Event Timeline

dfava created this revision.Apr 14 2020, 8:13 AM

Please add a unit test for these bugs to tsan/tests/unit/tsan_clock_test.cpp and releaseStoreAcquire to the stress test in that file.

dfava updated this revision to Diff 257747.Apr 15 2020, 9:10 AM
dfava edited the summary of this revision. (Show Details)
dvyukov accepted this revision.Apr 16 2020, 2:22 AM

You can now land this yourself, right?

This revision is now accepted and ready to land.Apr 16 2020, 2:22 AM
dfava closed this revision.Apr 16 2020, 2:01 PM